Page MenuHomePhabricator

Create JobQueue implementation that posts to EventBus
Closed, ResolvedPublic

Description

We need to create the JobQueueEventBus.php that posts jobs to EventBus according to the schema designed in T157094

The class should only support producer-side methods since the consumer-side methods and actual job execution will be handled by the EventBus infrastructure and ChangeProp

Event Timeline

Pchelolo created this task.Apr 19 2017, 8:42 PM
Restricted Application added a project: Analytics. · View Herald TranscriptApr 19 2017, 8:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 349015 had a related patch set uploaded (by Ppchelko):
[mediawiki/extensions/EventBus@master] WIP: Create the JobQueue backend that pushes to EventBus

https://gerrit.wikimedia.org/r/349015

Nuria moved this task from Incoming to Radar on the Analytics board.Apr 24 2017, 3:36 PM
elukey added a subscriber: elukey.Jul 5 2017, 7:57 AM

Change 349015 merged by jenkins-bot:
[mediawiki/extensions/EventBus@master] Create the JobQueue backend that pushes to EventBus

https://gerrit.wikimedia.org/r/349015

Pchelolo closed this task as Resolved.Aug 3 2017, 7:40 PM

The JobQueueEventBus was merged, deployed and tested. Resolving.